import gin

from pele.config.util import ConfigClass
from pele.core.fusion import MeanFusionModel, PassthroughFusionModel

gin.constant('MeanFusionModel', MeanFusionModel)
gin.constant('PassthroughFusionModel', PassthroughFusionModel)


@gin.configurable('fusion')
class FusionConfig(ConfigClass):

    def __init__(self, model=gin.REQUIRED):
        self.model = model
