import gin

from pele.config.util import ConfigClass
from pele.core.losses import LanguageModelingLoss

gin.constant('LanguageModelingLoss', LanguageModelingLoss)

@gin.configurable('criterion')
class LossConfig(ConfigClass):

    def __init__(self, losses=gin.REQUIRED):
        self.losses = losses
        self.num_losses = len(self.losses)
