import torch
import torchvision


class Resnet18FeatureExtractor(torch.nn.Module):

    def __init__(self, input_string):
        self.input_string = input_string
        self.resnet = torchvision.models.resnet18()

    def forward(self, inputs):
        return inputs.update({'resnet': self.resnet(inputs[self.input_string])})
