import os
import warnings
# Determine if the APEX version is correct

try:
    from apex import amp  # noqa
except ImportError:
    warnings.warn('Apex is not installed. You will not be able to use multi-gpu/distributed'
                  'Install apex following instructions at: https://github.com/NVIDIA/apex')
    APEX_ENABLED = False

PELE_ROOTDIR = os.path.split(__file__)[0]
