import inspect

import gin

from pele.config.util import ConfigClass
from pele.core.models import LSTMDescriber, TestModel

gin.constant('LSTM', LSTMDescriber)
gin.constant('TestModel', TestModel)


@gin.configurable('model')
class ModelConfig(ConfigClass):

    def __init__(self, model=gin.REQUIRED):
        self.model = model
