import gin

from pele.config.util import ConfigClass


@gin.configurable('ray')
class RayConfig(ConfigClass):

    def __init__(self, num_replicas=1, num_cpus_per_replica=2, use_gpu=True, use_fp16=True):
        self.num_replicas = num_replicas
        self.num_cpus_per_replica = num_cpus_per_replica
        self.use_gpu = use_gpu
        self.use_fp16 = use_fp16
