import torch


class PassthroughFusionModel(torch.nn.Module):

    def __init__(self, input_key, output_key='context'):
        super(PassthroughFusionModel, self).__init__()
        self.input_key = input_key
        self.output_key = output_key

    def forward(self, inputs):
        return {self.output_key: inputs[self.input_key]}
